Developer Discussions

Discuss topics with other Hexagon Geospatial Power Portfolio developers and experts to get the most out of our products.
Showing results for 
Search instead for 
Do you mean 
Reply
Highlighted
Occasional Contributor
Posts: 12
Registered: ‎07-23-2019

Re: Developing Client Extensions

[ Edited ]

hi i am getting this error while making the environment i wasted my whole day still not resolved

Description Resource Path Location Type
Could not run build action using Gradle distribution 'https://services.gradle.org/distributions/gradle-4.10.2-bin.zip'.
Build file 'C:\HGDN-hgdn_gmsc-f73ba620fc16 (1)\HGDN-hgdn_gmsc-f73ba620fc16\Client\Templates\gradle-gmsc-project\build.gradle' line: 32
A problem occurred configuring root project 'gradle-gmsc-project'.
Could not resolve all files for configuration ':runtimeClasspath'.
Could not find com.h2database:h2:1.4.199.1.
Searched in the following locations:
- file:/C:/Users/jasmine.rhyland/.m2/repository/com/h2database/h2/1.4.199.1/h2-1.4.199.1.pom
- file:/C:/Users/jasmine.rhyland/.m2/repository/com/h2database/h2/1.4.199.1/h2-1.4.199.1.jar
- https://gmscdemo.hexagongeospatial.com/nexus/repository/maven-gmsc-group-public/com/h2database/h2/1....
- https://gmscdemo.hexagongeospatial.com/nexus/repository/maven-gmsc-group-public/com/h2database/h2/1....
Required by:
project : > com.hexagon.gmsc:gmsc:16.5.341.10 > com.hexagon.gmsc.plugin:gmsc-plugin-offlinedatasupport:16.5.341.10 build.gradle /gradle-gmsc-project line 32 Gradle Error Marker

Highlighted
Staff
Posts: 1,057
Registered: ‎10-18-2015

Re: Developing Client Extensions

hi,

 

please provide all of the information about your environment, in particular GMSC (update3 or newer?) and JDK versions. 

Please check also you do not have mulitple JDK installed. It could also be just a file access issue, please check you have admin privileges and the folders are not read only.

 

Stefano

Stefano Turcato
Presale Engineer
Hexagon Geospatial
Highlighted
Occasional Contributor
Posts: 12
Registered: ‎07-23-2019

Re: Developing Client Extensions

[ Edited ]

JDK is jdk-11.0.2 and jre is jre-10.0.2 and i am using GMSC 2018 there is another JDK installed but environment variable set to the one that i mention in this comment.and i checked in preferences of eclipse jre-10.0.2 is there but gradle unable to build the app and one more thing i am using update version 1 please help thanks in advance 

 

thanks

Highlighted
Staff
Posts: 1,057
Registered: ‎10-18-2015

Re: Developing Client Extensions

hi,

 

can you please give it a try again? We have updated our online repository, the error should be solved.

 

Stefano

Stefano Turcato
Presale Engineer
Hexagon Geospatial